package cn.superdesk.uniorder.dubbo.consumer.scheduler;

import cn.superdesk.uniorder.common.rest.response.R;
import cn.superdesk.uniorder.dao.entity.scheduler.SysQuartzLog;
import cn.superdesk.uniorder.dto.param.scheduler.SysQuartzLogParam;
import cn.superdesk.uniorder.dubbo.facade.scheduler.DubboSysQuartzLogService;
import com.alibaba.dubbo.config.annotation.Reference;
import com.github.pagehelper.PageInfo;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;

import java.util.List;
import java.util.Map;

/**
 * @Description: 定时任务日志
 * @Author: linjinyu
 * @Email linjinyu@avic-s.com
 * @CreateDate: 2020-12-17 16:35:26
 * @UpdateUser: linjinyu
 * @UpdateDate: 2020-12-17 16:35:26
 * @UpdateRemark: 修改内容
 * @Version: 1.0
 */
@Slf4j
@Component
public class SysQuartzLogDubboConsumerService {

	@Reference(version = "1.0.0", timeout = 10000, retries = -1)
	private DubboSysQuartzLogService dubboSysQuartzLogService;


	/****************************************** extends BaseService 部分 start ******************************************/

	public void addObj(SysQuartzLogParam param) {

		dubboSysQuartzLogService.addObj(param);

	}

	public void updateObj(SysQuartzLogParam param) {

		dubboSysQuartzLogService.updateObj(param);
	}

	public void deleteObj(Long id) {

		dubboSysQuartzLogService.deleteObj(id);
	}

	public SysQuartzLog findById(Long id) {

		return dubboSysQuartzLogService.findById(id);
	}

	public PageInfo<SysQuartzLog> findByPaging(Map<String, Object> conditions, Integer pageNun, Integer pageSize) {

		return dubboSysQuartzLogService.findByPaging(conditions, pageNun, pageSize);
	}

	public List<SysQuartzLog> findAll(Map<String, Object> queryMap) {

		return dubboSysQuartzLogService.findAll(queryMap);
	}

	/****************************************** extends BaseService 部分   end ******************************************/


	public void addSysQuartzLog(SysQuartzLogParam param) {

		dubboSysQuartzLogService.addSysQuartzLog(param);
	}


	public void updateSysQuartzLog(SysQuartzLogParam param) {

		dubboSysQuartzLogService.updateSysQuartzLog(param);
	}


	public void deleteSysQuartzLog(Long id) {
		dubboSysQuartzLogService.deleteSysQuartzLog(id);
	}


	public SysQuartzLog findSysQuartzLogById(Long id) {

		return dubboSysQuartzLogService.findSysQuartzLogById(id);
	}


	public R<List<SysQuartzLog>> pageQuery(Map<String, Object> conditions, int pageNun, int pageSize) {

		return dubboSysQuartzLogService.pageQuery(conditions, pageNun, pageSize);
	}
}
